# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-10 09:15
from __future__ import unicode_literals

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_pgjsonb.fields
import errorlog.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='PipelineError',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fixed', models.BooleanField(default=False)),
                ('occur_time', models.DateTimeField(default=django.utils.timezone.now)),
                ('fix_time', models.DateTimeField(null=True)),
                ('error_type', models.TextField()),
                ('error_args_json', models.TextField(null=True)),
                ('stack_list_json', models.TextField(null=True)),
                ('stack_hash', models.TextField(db_index=True)),
                ('error_html', models.TextField(null=True)),
                ('vcs_rev', models.TextField(default=errorlog.models.get_vcs_rev, null=True)),
                ('pipeline_name', models.TextField(blank=True, null=True)),
                ('item_id', models.PositiveIntegerField(blank=True, null=True)),
                ('item_repr', models.TextField(blank=True, null=True)),
                ('item_content_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType')),
            ],
            options={
                'ordering': ['-occur_time'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PipelineTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pipeline_name', models.TextField(db_index=True, null=True)),
                ('item_id', models.PositiveIntegerField(blank=True, null=True)),
                ('created_info', django_pgjsonb.fields.JSONField(decode_kwargs={}, default=dict, encode_kwargs={'cls': django.core.serializers.json.DjangoJSONEncoder})),
                ('trigger_from_name', models.TextField(db_index=True, null=True)),
                ('result_id', models.PositiveIntegerField(blank=True, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('item_content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType')),
                ('result_content_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType')),
            ],
        ),
        migrations.AlterIndexTogether(
            name='pipelinetrack',
            index_together=set([('item_content_type', 'item_id')]),
        ),
    ]
